@ECHO off
TITLE WP7 Update Cab Sender
GOTO Menu

REM #######################################################################
:Menu
REM #######################################################################
CLS
ECHO ͻ
ECHO  WP7 Update Cab Sender                            xboxmod-Yuki 2011 
ECHO ͼ
ECHO 
ECHO ͯ S (S)end Cabs to device
ECHO 
ECHO ͯ B Send Cabs to device with (B)ackup
ECHO 
ECHO ͯ R (R)estore device backup
ECHO 
ECHO ͯ L Read last Update (L)ogs from device
ECHO 

CHOICE /C:SBRL /N /M "> Your choice:"
IF errorlevel 4 GOTO Readlogs
IF errorlevel 3 GOTO Restoredevice
IF errorlevel 2 GOTO Backupdevice
IF errorlevel 1 GOTO Sendcab
GOTO Menu

REM #######################################################################
:Sendcab
REM #######################################################################
ECHO.
ECHO ͯ Creating list of cabs
ECHO 
SETLOCAL enabledelayedexpansion
SET cablist= 
FOR %%x in ("%cd%\*.cab") DO (
	SET cablist=!cablist! "%%x"
)
SETLOCAL disabledelayedexpansion
ECHO 
ECHO ͯ Updating device
ECHO 
CD tools
IF /I "%PROCESSOR_ARCHITECTURE%"=="x86" ( CD x86 ) ELSE ( CD "x64" )
UpdateWP /iu %cablist%
CD ../..
ECHO 
ECHO ͯ Done
PAUSE
GOTO Menu

REM #######################################################################
:Backupdevice
REM #######################################################################
ECHO.
ECHO ͯ Creating list of cabs
ECHO 
SETLOCAL enabledelayedexpansion
SET cablist= 
FOR %%x in ("%cd%\*.cab") DO (
	SET cablist=!cablist! "%%x"
)
SETLOCAL disabledelayedexpansion
ECHO 
ECHO ͯ Backup and updating device
ECHO 
CD tools
IF /I "%PROCESSOR_ARCHITECTURE%"=="x86" ( CD x86 ) ELSE ( CD "x64" )
UpdateWP /iu /enablebackup %cablist%
CD ../..
ECHO 
ECHO ͯ Done
PAUSE
GOTO Menu

REM #######################################################################
:Restoredevice
REM #######################################################################
ECHO.
ECHO ͯ Restoring device
ECHO 
CD tools
IF /I "%PROCESSOR_ARCHITECTURE%"=="x86" ( CD x86 ) ELSE ( CD "x64" )
UpdateWP /restore
CD ../..
ECHO 
ECHO ͯ Done
PAUSE
GOTO Menu

REM #######################################################################
:Readlogs
REM #######################################################################
ECHO.
ECHO ͯ Collecting logs from device
ECHO 
CD tools
IF /I "%PROCESSOR_ARCHITECTURE%"=="x86" ( CD x86 ) ELSE ( CD "x64" )
UpdateWP /getdevicelog
ECHO 
ECHO ͯ Moving files to logs directory
ECHO 
ATTRIB -R -S -H /S /D
FOR /D %%x in ("%cd%\DeviceUpdateLog\*") DO (
	MOVE /Y "%%x" "%cd%\..\..\logs"
)
ECHO 
ECHO ͯ Cleaning useless files
ECHO 
DEL /F Updatewp.log
RMDIR /S /Q DeviceUpdateLog
CD ../..
ECHO 
ECHO ͯ Done
PAUSE
GOTO Menu
